Loading...
Searching...
No Matches
zigbee::ZigbeeDevice::MetaData Struct Reference

Device MetaData. More...

`import "ZigbeeDevice.idl";`

## Public Attributes

int | sourceId
| the device source ID
vector< int > | clusters
| the clusters which are reporting to this device
int | preferredSlot
| the slot which should be assigned to the first sensor

## Detailed Description

Device MetaData.

Definition at line 28 of file ZigbeeDevice.idl.

## Member Data Documentation

## clusters

vector<int> zigbee::ZigbeeDevice::MetaData::clusters

the clusters which are reporting to this device

Definition at line 30 of file ZigbeeDevice.idl.

## preferredSlot

int zigbee::ZigbeeDevice::MetaData::preferredSlot

the slot which should be assigned to the first sensor

Definition at line 31 of file ZigbeeDevice.idl.

## sourceId

int zigbee::ZigbeeDevice::MetaData::sourceId

the device source ID

Definition at line 29 of file ZigbeeDevice.idl.

The documentation for this struct was generated from the following file:

- ZigbeeDevice.idl